MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028312Open CASCADE[OCCT] OCCT:Configurationpublic2016-12-28 15:252017-09-29 16:31
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028312: Configuration, genproj.tcl - support CSF_ZLIB and CSF_LIBLZMA within project generator
DescriptionSome more external libraries can be useful for project generated by genproj.tcl procedure - zlib, lzma, FFmpeg.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0025382closedkgv Open CASCADE Visualization, TKOpenGl - improved video recording capability 
related to 0027342resolvedabv Open CASCADE STEP - support C++ streams for import / export 

-  Notes
(0062270)
git (administrator)
2016-12-28 19:11

Branch CR28312 has been created by kgv.

SHA-1: 06beb88a6d96d46172b75e566ba0c23b44fcc981


Detailed log of new commits:

Author: kgv
Date: Wed Dec 28 19:10:24 2016 +0300

    0028312: Configuration, genproj.tcl - support CSF_ZLIB and CSF_LIBLZMA within project generator
    
    Added CSF_ZLIB for searching zlib library, CSF_LIBLZMA for liblzma library
    and CSF_FFmpeg for FFmpeg framework.
    Unused CSF_AviLibs has been dropped.
(0062271)
kgv (developer)
2016-12-28 19:12

Patch is ready for review.
(0062273)
ibs (developer)
2016-12-28 19:43

there are no remarks. please integrate
(0063578)
git (administrator)
2017-02-08 11:32

Branch CR28312 has been deleted by kgv.

SHA-1: 06beb88a6d96d46172b75e566ba0c23b44fcc981

- Related Changesets
occt: master e22105a9
Timestamp: 2016-12-28 16:10:24
Author: kgv
Committer: apn
Details ] Diff ]
0028312: Configuration, genproj.tcl - support CSF_ZLIB and CSF_LIBLZMA within project generator

Added CSF_ZLIB for searching zlib library, CSF_LIBLZMA for liblzma library
and CSF_FFmpeg for FFmpeg framework.
Unused CSF_AviLibs has been dropped.
mod - adm/cmake/occt_csf.cmake Diff ] File ]
mod - adm/genconf.tcl Diff ] File ]
mod - adm/genconfdeps.tcl Diff ] File ]
mod - adm/genproj.tcl Diff ] File ]
mod - adm/templates/env.bat Diff ] File ]
mod - adm/templates/env.sh Diff ] File ]
mod - adm/templates/template.vc10 Diff ] File ]
mod - adm/templates/template.vc7 Diff ] File ]
mod - adm/templates/template.vc8 Diff ] File ]
mod - adm/templates/template.vc9 Diff ] File ]
mod - src/TKOpenGl/EXTERNLIB Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-12-28 15:25 kgv New Issue
2016-12-28 15:25 kgv Assigned To => kgv
2016-12-28 19:11 git Note Added: 0062270
2016-12-28 19:12 kgv Relationship added related to 0028224
2016-12-28 19:12 kgv Note Added: 0062271
2016-12-28 19:12 kgv Assigned To kgv => ibs
2016-12-28 19:12 kgv Status new => resolved
2016-12-28 19:12 kgv Relationship added related to 0025382
2016-12-28 19:43 ibs Note Added: 0062273
2016-12-28 19:43 ibs Assigned To ibs => bugmaster
2016-12-28 19:43 ibs Status resolved => reviewed
2016-12-29 12:30 kgv Relationship added related to 0027342
2016-12-29 13:58 apn Test case number => Not needed
2016-12-29 13:58 apn Status reviewed => tested
2016-12-30 18:08 apn Changeset attached => occt master e22105a9
2016-12-30 18:08 apn Assigned To bugmaster => apn
2016-12-30 18:08 apn Status tested => verified
2016-12-30 18:08 apn Resolution open => fixed
2017-02-08 11:32 git Note Added: 0063578
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:31 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker